summaryrefslogtreecommitdiff
path: root/test/utils/shippable
diff options
context:
space:
mode:
Diffstat (limited to 'test/utils/shippable')
-rwxr-xr-xtest/utils/shippable/incidental/power.sh18
-rwxr-xr-xtest/utils/shippable/power.sh22
2 files changed, 40 insertions, 0 deletions
diff --git a/test/utils/shippable/incidental/power.sh b/test/utils/shippable/incidental/power.sh
new file mode 100755
index 0000000000..4d2c17c82e
--- /dev/null
+++ b/test/utils/shippable/incidental/power.sh
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+platform="${args[1]}"
+version="${args[2]}"
+
+target="shippable/posix/incidental/"
+
+stage="${S:-prod}"
+provider="${P:-default}"
+
+# shellcheck disable=SC2086
+ansible-test integration --color -v --retry-on-error "${target}" ${COVERAGE:+"$COVERAGE"} ${CHANGED:+"$CHANGED"} ${UNSTABLE:+"$UNSTABLE"} \
+ --remote "power/${platform}/${version}" --remote-terminate always --remote-stage "${stage}" --remote-provider "${provider}"
diff --git a/test/utils/shippable/power.sh b/test/utils/shippable/power.sh
new file mode 100755
index 0000000000..85003ffc7d
--- /dev/null
+++ b/test/utils/shippable/power.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -o pipefail -eux
+
+declare -a args
+IFS='/:' read -ra args <<< "$1"
+
+platform="${args[1]}"
+version="${args[2]}"
+
+if [ "${#args[@]}" -gt 3 ]; then
+ target="shippable/posix/group${args[3]}/"
+else
+ target="shippable/posix/"
+fi
+
+stage="${S:-prod}"
+provider="${P:-default}"
+
+# shellcheck disable=SC2086
+ansible-test integration --color -v --retry-on-error "${target}" ${COVERAGE:+"$COVERAGE"} ${CHANGED:+"$CHANGED"} ${UNSTABLE:+"$UNSTABLE"} \
+ --remote "power/${platform}/${version}" --remote-terminate always --remote-stage "${stage}" --remote-provider "${provider}"